function sendMail( )
      {
	var sPage2 = MCGlobals.BodyFrame.document.location.href;
      	var subject = escape("Check this link");
	location.href = "mailto:" + "&subject=" + subject +  "&body="  +sPage2;
      }
